> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/pantherflow/functions/databricks-functions.md).

# Databricks Functions

{% hint style="warning" %}
PantherFlow for Databricks is in closed beta starting with Panther version 1.120. Please share any bug reports and feature requests with your Panther support team.
{% endhint %}

## `databricks.func()`

`databricks.func(func_name: string [, arg1: any, ... ]) -> any`

Call any function in Databricks. This function simply acts as a passthrough.

{% hint style="warning" %}

#### Limitations

* The `arrays` functions are currently limited to underlying `ARRAY<STRING>` type data.
* Databricks requires explicit typing at SQL query compilation time. Queries that use unspecified `VARIANT` type data may cause errors.
  {% endhint %}

**Example:**

<pre class="language-kusto"><code class="lang-kusto">panther_logs.aws_alb
<strong>| project inCidr=databricks.func("ip_cidr_contains", "10.32.0.0/16", clientIp)
</strong></code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/pantherflow/functions/databricks-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
